#ifndef _TESTAPP_CPP
#define _TESTAPP_CPP
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include <Windows.H>
#include <Stdio.H>
#include <Stdlib.H>

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include "../CMemPool.H"

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

int main(void)
{
	/*
		If you are debugging, Make sure _MEMPOOL_DEBUG_LEVEL is globally defined
			and set to one of the values defined in CMemPool.H
	*/

	CMemPool *pMem = new CMemPool;

	//Allocate and Free some RAM.
	for(int iItems = 0; iItems < 100; iItems++)
	{
		char *sBuffer = (char *) pMem->Allocate(sizeof(char), 1024);
		GetWindowsDirectory(sBuffer, 1024);
		pMem->Free(sBuffer); //If this is not called, the MemPool class will throw an exception.
	}

	delete pMem;

	system("Pause");

	return 0;
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif

